Bug 18527 - Internal error during installation
Summary: Internal error during installation
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-06 14:13 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 17:43:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-06 14:13:43 UTC
Text observed on screen during text mode installation of RedHat on a Dell
Inspiron 5000. Happens after / has been formatted. The diskette is
available, if you need it.

An internal error occured in the installation program. Please report this
error to Red Hat (through the bugzilla.redhat.com web site) as soon as
possible. The information on this failure may be saved to a floppy disk,
and will help Red Hat in fixing the problem.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
     intf.run(todo, test = test) 
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in
run
     rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py" line 507, in
__call__
     if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480,
indoInstall
     if self.method.systemMounted (self.fstab,self.instPath,
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] +
/
  File "/var/tmp/anaconda-7.0.1//usr/lib/fstab.py", line 258, in
filesystemSpace
    space.append((mntpoint,isys.fsSpaceAvailable(topMount + '/' +
mntpoint)))
  File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable
    return _isys.devSpaceFree(fsystem)
  SystemError: (2, 'No such file or directory')

Comment 1 Daniel Roesen 2000-10-06 14:27:53 UTC
The are some lines below missing. Do you try to mount any non-ext2 partition 
(Windows/DOS) by chance?

Comment 2 Brent Fox 2000-11-08 04:13:57 UTC
What type of media were you installing from?  (CD, FTP, etc...)

If CD, was it a burned copy or one from the box set?

What type of install did you do?  (Workstation, Server, Custom, Upgrade)

What kind of partitions did you make and how big did you make them?

Did you try to mount any non-ext2 filesystems?

What packages were you trying to install?  (Doesn't have to be exact, but enough
to give us an idea of how much drive space you would need.)

Comment 3 Michael Fulbright 2000-11-28 17:43:04 UTC
Closing due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.